# Interface EncodingDeclarationHandler

All Known Implementing Classes:
  `Driver`

public interface EncodingDeclarationHandler
An interface for communicating about character encoding names with the environment of the parser.

Version:
  $Id$
Author:
  hsivonen

## Method Summary

Modifier and Type
Method
Description
`String`
`getCharacterEncoding()`
Queries the environment for the encoding in use (for error reporting).
`boolean`
`internalEncodingDeclaration(String charset)`
Indicates that the parser has found an internal encoding declaration with the charset value `charset`.

## Method Details

### internalEncodingDeclaration

boolean internalEncodingDeclaration(String charset) throws SAXException
Indicates that the parser has found an internal encoding declaration with the charset value `charset`.

Parameters:
  `charset` - the charset name found.
Returns:
  `true` if the value of `charset` was an encoding name for a supported ASCII-superset encoding.
Throws:
  `SAXException` - if something went wrong

### getCharacterEncoding

String getCharacterEncoding() throws SAXException
Queries the environment for the encoding in use (for error reporting).

Returns:
  the encoding in use
Throws:
  `SAXException` - if something went wrong